Index: ddccontrol/src/ddcpci/Makefile.am
===================================================================
--- ddccontrol.orig/src/ddcpci/Makefile.am
+++ ddccontrol/src/ddcpci/Makefile.am
@@ -4,5 +4,7 @@ bin_PROGRAMS = ddcpci
 ddcpci_LDFLAGS = -Wl,-z,now
 ddcpci_SOURCES = main.c nvidia.c radeon.c i2c-algo-bit.c intel810.c ddcpci.h i2c-algo-bit.h via.c sis.c
 
+EXTRA_DIST = intel740.c
+
 install-exec-hook:
 	chmod 4711 ${DESTDIR}/${bindir}/ddcpci
Index: ddccontrol/po/POTFILES.in
===================================================================
--- ddccontrol.orig/po/POTFILES.in
+++ ddccontrol/po/POTFILES.in
@@ -5,6 +5,8 @@ src/ddcpci/intel810.c
 src/ddcpci/main.c
 src/ddcpci/nvidia.c
 src/ddcpci/radeon.c
+src/ddcpci/sis.c
+src/ddcpci/via.c
 src/gddccontrol/fspatterns.c
 src/gddccontrol/gddccontrol.desktop.in
 src/gddccontrol/gprofile.c
Index: ddccontrol/src/gddccontrol/Makefile.am
===================================================================
--- ddccontrol.orig/src/gddccontrol/Makefile.am
+++ ddccontrol/src/gddccontrol/Makefile.am
@@ -12,8 +12,9 @@ AM_CFLAGS = $(GNOME_CFLAGS)
 
 
 desktopdir = $(datadir)/applications
-Desktop_in_files = gddccontrol.desktop.in
-desktop_DATA = $(Desktop_in_files:.desktop.in=.desktop)
+desktop_in_files = gddccontrol.desktop.in
+desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
+@INTLTOOL_DESKTOP_RULE@
 
 pixmapdir = $(datadir)/pixmaps
 pixmap_DATA = gddccontrol.png
Index: ddccontrol/Makefile.am
===================================================================
--- ddccontrol.orig/Makefile.am
+++ ddccontrol/Makefile.am
@@ -2,6 +2,6 @@ SUBDIRS = src po man $(DOC)
 
 EXTRA_DIST = config.rpath mkinstalldirs  config.rpath mkinstalldirs  intltool-extract.in intltool-merge.in intltool-update.in
 DISTCLEANFILES = intltool-extract intltool-merge intltool-update
-
+DISTCHECK_CONFIGURE_FLAGS = --enable-doc
 
 ACLOCAL_AMFLAGS = -I m4
Index: ddccontrol/doc/Makefile.am
===================================================================
--- ddccontrol.orig/doc/Makefile.am
+++ ddccontrol/doc/Makefile.am
@@ -26,7 +26,7 @@ publish-release: all pdf
 spell:
 	@ASPELL@ --mode=sgml check main.xml
 
-clean:
+clean-local:
 	rm -rf html
 	rm -f ddccontrol.fo ddccontrol.pdf
 
